Subject: bug#25342: GNU coreutils: race condition in "ln -f source dest"

From: Paul Eggert <[email-masked]>
Date: Mon, 2 Jan 2017 17:07:56 -0800

Although I like the idea of changing "ln -f A B" to do the equivalent of "ln -f 
A B.tmp; mv B.tmp B" when B already exists, I'm not sure I'd want to have a new 
option to restore the old behavior, as that would add complexity for little real 
benefit.

Also, this behavior shouldn't be limited to ln; it should also be done by cp -l.